// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Printer的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var Printer_PlantNr = grmi.NewField("PlantNr", "[Printer].PlantNr", "plantnr", grmi.TypeInt)
var Printer_PrinterId = grmi.NewField("PrinterId", "[Printer].PrinterId", "printerid", grmi.TypeString)
var Printer_Descr = grmi.NewField("Descr", "[Printer].Descr", "descr", grmi.TypeString)
var Printer_PrinterType = grmi.NewField("PrinterType", "[Printer].PrinterType", "printertype", grmi.TypeString)
var Printer_PrintMode = grmi.NewField("PrintMode", "[Printer].PrintMode", "printmode", grmi.TypeString)
var Printer_PrinterSpec = grmi.NewField("PrinterSpec", "[Printer].PrinterSpec", "printerspec", grmi.TypeString)
var Printer_PrinterName = grmi.NewField("PrinterName", "[Printer].PrinterName", "printername", grmi.TypeString)
var Printer_Port = grmi.NewField("Port", "[Printer].Port", "port", grmi.TypeInt)
var Printer_PrintInterval = grmi.NewField("PrintInterval", "[Printer].PrintInterval", "printinterval", grmi.TypeInt)
var Printer_IP = grmi.NewField("IP", "[Printer].IP", "ip", grmi.TypeString)
var Printer_PrinterPara1 = grmi.NewField("PrinterPara1", "[Printer].PrinterPara1", "printerpara1", grmi.TypeInt)
var Printer_PrinterPara2 = grmi.NewField("PrinterPara2", "[Printer].PrinterPara2", "printerpara2", grmi.TypeInt)
var Printer_PrinterSpec1 = grmi.NewField("PrinterSpec1", "[Printer].PrinterSpec1", "printerspec1", grmi.TypeString)
var Printer_PrinterSpec2 = grmi.NewField("PrinterSpec2", "[Printer].PrinterSpec2", "printerspec2", grmi.TypeString)
var Printer_LastModify = grmi.NewField("LastModify", "[Printer].LastModify", "lastmodify", grmi.TypeDateTime)
var Printer_LastUser = grmi.NewField("LastUser", "[Printer].LastUser", "lastuser", grmi.TypeString)
var Printer_CreateTime = grmi.NewField("CreateTime", "[Printer].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Printer的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var Printer = grmi.NewEntity(
	"Printer",
	func() interface{} { return &model.Printer{} },
	map[string]grmi.Field{
		Printer_PlantNr.Name:       Printer_PlantNr,
		Printer_PrinterId.Name:     Printer_PrinterId,
		Printer_Descr.Name:         Printer_Descr,
		Printer_PrinterType.Name:   Printer_PrinterType,
		Printer_PrintMode.Name:     Printer_PrintMode,
		Printer_PrinterSpec.Name:   Printer_PrinterSpec,
		Printer_PrinterName.Name:   Printer_PrinterName,
		Printer_Port.Name:          Printer_Port,
		Printer_PrintInterval.Name: Printer_PrintInterval,
		Printer_IP.Name:            Printer_IP,
		Printer_PrinterPara1.Name:  Printer_PrinterPara1,
		Printer_PrinterPara2.Name:  Printer_PrinterPara2,
		Printer_PrinterSpec1.Name:  Printer_PrinterSpec1,
		Printer_PrinterSpec2.Name:  Printer_PrinterSpec2,
		Printer_LastModify.Name:    Printer_LastModify,
		Printer_LastUser.Name:      Printer_LastUser,
		Printer_CreateTime.Name:    Printer_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "PrinterType", "PrintMode", "PrinterSpec", "PrinterName", "Port", "PrintInterval", "IP", "PrinterPara1", "PrinterPara2", "PrinterSpec1", "PrinterSpec2", "LastUser"})
